Axis2/C: Axutil_duration

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# Axutil_duration
[utilities]

## Typedefs
typedef struct axutil_duration | axutil_duration_t
## Functions
AXIS2_EXTERN axutil_duration_t * | axutil_duration_create (axutil_env_t *env)
AXIS2_EXTERN axutil_duration_t * | axutil_duration_create_from_values (const axutil_env_t *env, axis2_bool_t negative, int years, int months, int days, int hours, int minutes, double seconds)
AXIS2_EXTERN axutil_duration_t * | axutil_duration_create_from_string (const axutil_env_t *env, const axis2_char_t *duration_str)
AXIS2_EXTERN axis2_status_t | axutil_duration_free (axutil_duration_t *duration, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_duration_deserialize_duration (axutil_duration_t *duration, const axutil_env_t *env, const char *duration_str)
AXIS2_EXTERN char * | axutil_duration_serialize_duration (axutil_duration_t *duration, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_duration_set_duration (axutil_duration_t *duration, const axutil_env_t *env, axis2_bool_t negative, int years, int months, int days, int hours, int mins, double seconds)
AXIS2_EXTERN int | axutil_duration_get_years (axutil_duration_t *duration, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_duration_set_years (axutil_duration_t *duration, const axutil_env_t *env, int years)
AXIS2_EXTERN int | axutil_duration_get_months (axutil_duration_t *duration, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_duration_set_months (axutil_duration_t *duration, const axutil_env_t *env, int months)
AXIS2_EXTERN int | axutil_duration_get_days (axutil_duration_t *duration, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_duration_set_days (axutil_duration_t *duration, const axutil_env_t *env, int days)
AXIS2_EXTERN int | axutil_duration_get_hours (axutil_duration_t *duration, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_duration_set_hours (axutil_duration_t *duration, const axutil_env_t *env, int hours)
AXIS2_EXTERN int | axutil_duration_get_mins (axutil_duration_t *duration, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_duration_set_mins (axutil_duration_t *duration, const axutil_env_t *env, int mins)
AXIS2_EXTERN double | axutil_duration_get_seconds (axutil_duration_t *duration, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_duration_set_seconds (axutil_duration_t *duration, const axutil_env_t *env, double seconds)
AXIS2_EXTERN axis2_bool_t | axutil_duration_get_is_negative (axutil_duration_t *duration, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_duration_set_is_negative (axutil_duration_t *duration, const axutil_env_t *env, axis2_bool_t is_negative)
AXIS2_EXTERN axis2_bool_t | axutil_duration_compare (axutil_duration_t *duration_one, axutil_duration_t *duration_two, axutil_env_t *env)

## Function Documentation

AXIS2_EXTERN axutil_duration_t* axutil_duration_create | ( | axutil_env_t * | env | ) |

Creates axutil_duration struct with current date time

Parameters:

  | env | double pointer to environment struct. MUST NOT be NULL

Returns:
  pointer to newly created axutil_duration struct